"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Util = exports.User = exports.Thumbnail = exports.SimpleUser = exports.News = exports.MemeExperience = exports.Feed = exports.Creator = exports.Content = exports.Comment = exports.BanSmall = exports.Ban = exports.iFunnyError = exports.CaptchaError = exports.default = exports.Client = exports.BaseClient = void 0;
// * "Root" classes (starting points)
var BaseClient_1 = require("./client/BaseClient");
Object.defineProperty(exports, "BaseClient", { enumerable: true, get: function () { return BaseClient_1.BaseClient; } });
var Client_1 = require("./client/Client");
Object.defineProperty(exports, "Client", { enumerable: true, get: function () { return Client_1.Client; } });
Object.defineProperty(exports, "default", { enumerable: true, get: function () { return __importDefault(Client_1).default; } });
// ! Errors
var CaptchaError_1 = require("./errors/CaptchaError");
Object.defineProperty(exports, "CaptchaError", { enumerable: true, get: function () { return CaptchaError_1.CaptchaError; } });
var iFunnyError_1 = require("./errors/iFunnyError");
Object.defineProperty(exports, "iFunnyError", { enumerable: true, get: function () { return iFunnyError_1.iFunnyError; } });
// ? Structs
var Ban_1 = require("./structures/Ban");
Object.defineProperty(exports, "Ban", { enumerable: true, get: function () { return Ban_1.Ban; } });
var BanSmall_1 = require("./structures/BanSmall");
Object.defineProperty(exports, "BanSmall", { enumerable: true, get: function () { return BanSmall_1.BanSmall; } });
var Comment_1 = require("./structures/Comment");
Object.defineProperty(exports, "Comment", { enumerable: true, get: function () { return Comment_1.Comment; } });
var Content_1 = require("./structures/Content");
Object.defineProperty(exports, "Content", { enumerable: true, get: function () { return Content_1.Content; } });
var Creator_1 = require("./structures/Creator");
Object.defineProperty(exports, "Creator", { enumerable: true, get: function () { return Creator_1.Creator; } });
var Feed_1 = require("./structures/Feed");
Object.defineProperty(exports, "Feed", { enumerable: true, get: function () { return Feed_1.Feed; } });
var MemeExperience_1 = require("./structures/MemeExperience");
Object.defineProperty(exports, "MemeExperience", { enumerable: true, get: function () { return MemeExperience_1.MemeExperience; } });
var News_1 = require("./structures/News");
Object.defineProperty(exports, "News", { enumerable: true, get: function () { return News_1.News; } });
var SimpleUser_1 = require("./structures/SimpleUser");
Object.defineProperty(exports, "SimpleUser", { enumerable: true, get: function () { return SimpleUser_1.SimpleUser; } });
var Thumbnail_1 = require("./structures/Thumbnail");
Object.defineProperty(exports, "Thumbnail", { enumerable: true, get: function () { return Thumbnail_1.Thumbnail; } });
var User_1 = require("./structures/User");
Object.defineProperty(exports, "User", { enumerable: true, get: function () { return User_1.User; } });
var Util_1 = require("./utils/Util");
Object.defineProperty(exports, "Util", { enumerable: true, get: function () { return Util_1.Util; } });
//# sourceMappingURL=index.js.map